Subject: ExtensionUstility::configurePlugin doesn't set typoscript

Description

Upgrading to 6.2 beta 1 I've experienced that

TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin ->
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::add TypoScript doesn't register/writes the typoscript to the TypoScript Object
Browser.

It writes it very well to $GLOBALS['TYPO3_CONF_VARS'|['FE"|['defaultTypoScript_' . $type . ']

This seems to be a issue for Extbase only extension as EXT:gridelements got it's typoscript written as it used to

Related issues:
related to Core - Bug # 59318: Loading css_styled_content TS using INCLUDE_TY... Resolved 2014-06-03

History

#1 - 2013-10-18 11:49 - Soren Malling

Title is wrong, is was TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin and not the registerPlugin function

#2 - 2013-10-18 12:41 - Markus Klein

- Subject changed from TYPO3\CMS\Extbase\Ultility\ExtensionUltility::registerPlugin doesn't set typoscript to ExtensionUtility::configurePlugin doesn't

set typoscript

#3 - 2013-11-14 14:46 - Jo Hasenau

FYI: Gridelements does not use addTypoScript at all, but uses addStaticFile instead.

| think the difference is, that you have to include the static file then, while addTypoScript would insert the TS-code directly.

#4 - 2014-02-04 11:48 - Daniel Siepmann

Adding a line to add it to the static typoscript FILE will work:

$GLOBALS['TYPO3_CONF_VARS''FE']['defaultTypoScript_' . $type . '."|['cssstyledcontent/static/v4.6/'] .= $content;
That's not a fix, but workaround where you've to change the core.

| try to figure out what's the problem.

A better way, working for me, is to edit em_conf of your extension and add css_styled content as depends.

Hope the bug will be solved soon, so we don't have to add the core extension as dependency.

#5 - 2015-01-26 14:27 - Mathias Schreiber

- Status changed from New to Needs Feedback

- Assigned To set to Mathias Schreiber

Hey Daniel,

any progress here?

#6 - 2015-01-26 16:48 - Daniel Siepmann

No sorry. | went on to other issues.

#7 - 2015-03-18 11:48 - Daniel Siepmann
As mentioned in slack, my opinion would be to add css_styled content as suggested into ext_emconf of extbase. As css_styled content is just one

way to display content of TYPO3, and extbase supports this way, it is no dependency.
We just need to take care, whether PackageStates.php will follow the suggestions as it follows the dependencies.

#8 - 2015-06-18 11:22 - Alexander Opitz
- Status changed from Needs Feedback to New
